<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title>Hello World!</title>
	<link type="text/css" rel="stylesheet" href="css\style.css">
	<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
	<script type="text/javascript" src="./functions.js"></script>
	<meta name="viewport" content="width=device-width, initial-scale=1">
</head>
<body>

	<p id="xval">first</p>
	<p id="yval">second</p>
	<p id="speed">speed</p>
	<script  type="text/javascript" src="http://koda.nu/simple.js">
	var color = "black";
	var x = 100;
	var y = 100;
	var xs = 150;
	var ys = 150;
	var rad = 20;
	var speed=5;
	function update ()
	{
		clearScreen();
		circle(x, y, rad, color);
		ring(xs, ys, rad, color);
		ring(xs, ys, rad/2, color);
		document.getElementById("xval").innerHTML = x+" "+xs;
		document.getElementById("yval").innerHTML = y+" "+ys;
		document.getElementById("speed").innerHTML = speed;

		if(keyboard.a)
		{
			x -= speed;
		}
		if(keyboard.w)
		{
			y -= speed;
		}
		if(keyboard.s)
		{
			y += speed;
		}
		if(keyboard.d)
		{
			x += speed;
		}

		var rand = Math.floor((Math.random() * 10) + 1);

		/*
		ys -= speed;
		xs -= speed;
		ys += speed;
		xs += speed;
		*/
		switch (rand) {
			case 1:
			ys -= speed;
			break;
			case 2:
			xs -= speed;
			break;
			case 3:
			ys += speed;
			break;
			case 4:
			xs += speed;
			break;
			case 5:
			ys += speed;
			xs += speed;
			break;
			case 6:
			xs -= speed;
			ys += speed;
			break;
			case 7:
			ys -= speed;
			xs -= speed;
			break;
			case 8:
			ys -= speed;
			xs += speed;
			break;
			case 9:
			ys += speed/2;
			break;
			case 10:
			xs -= speed/2;
			break;
			default:
		}

		if (x>=xs-2 && y>=ys-2 && x<=xs+2 && y<=ys+2 )
		{
			alert(xs,ys);
		}

		if(keyboard.eight)
		{
			speed += 5;
		}
		if(keyboard.two)
		{
			speed -= 5;
		}

		if (x==0)
		{
			x=100;
		}
		if (y==0)
		{
			y=100;
		}
		if (xs==0)
		{
			xs=100;
		}
		if (ys==0)
		{
			ys=100;
		}



		if (x==700)
		{
			x=50;
		}
		if (y==600)
		{
			y=50;
		}
		if (xs==700)
		{
			xs=50;
		}
		if (ys==600)
		{
			ys=50;
		}

	}

</script>
<script type="text/javascript">
// You can also require other files to run in this process
require("./renderer.js")
</script>
</body>
</html>
